/**
 * beep.h: beeper fuckin musicality bitches
 * 2014 by true
 *
 * ----
 *
 * $Id: beep.h 327 2015-02-18 04:43:42Z true $
 *
 * do what you want 'cause a pirate is free
 * you are a pirate
 *
**/

#ifndef __PIRATE_DEV_BEEP_H
#define __PIRATE_DEV_BEEP_H



/* constants */
#define BEEP_BUF_SIZE 			8 		// max 127


/* prototypes */
void beep_init();
void beep_update();

void beep_clear_queue();
uint16_t beep(uint16_t tone_id, uint16_t duration);



#endif
